Initialize Tizen 2.3
[external/prelink.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.6.3 from Makefile.am.
2 # @configure_input@
3
4 # Copyright 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002
5 # Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 SHELL = @SHELL@
17
18 srcdir = @srcdir@
19 top_srcdir = @top_srcdir@
20 VPATH = @srcdir@
21 prefix = @prefix@
22 exec_prefix = @exec_prefix@
23
24 bindir = @bindir@
25 sbindir = @sbindir@
26 libexecdir = @libexecdir@
27 datadir = @datadir@
28 sysconfdir = @sysconfdir@
29 sharedstatedir = @sharedstatedir@
30 localstatedir = @localstatedir@
31 libdir = @libdir@
32 infodir = @infodir@
33 mandir = @mandir@
34 includedir = @includedir@
35 oldincludedir = /usr/include
36 pkgdatadir = $(datadir)/@PACKAGE@
37 pkglibdir = $(libdir)/@PACKAGE@
38 pkgincludedir = $(includedir)/@PACKAGE@
39 top_builddir = ..
40
41 ACLOCAL = @ACLOCAL@
42 AUTOCONF = @AUTOCONF@
43 AUTOMAKE = @AUTOMAKE@
44 AUTOHEADER = @AUTOHEADER@
45
46 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
47 INSTALL = @INSTALL@
48 INSTALL_PROGRAM = @INSTALL_PROGRAM@
49 INSTALL_DATA = @INSTALL_DATA@
50 install_sh_DATA = $(install_sh) -c -m 644
51 install_sh_PROGRAM = $(install_sh) -c
52 install_sh_SCRIPT = $(install_sh) -c
53 INSTALL_SCRIPT = @INSTALL_SCRIPT@
54 INSTALL_HEADER = $(INSTALL_DATA)
55 transform = @program_transform_name@
56 NORMAL_INSTALL = :
57 PRE_INSTALL = :
58 POST_INSTALL = :
59 NORMAL_UNINSTALL = :
60 PRE_UNINSTALL = :
61 POST_UNINSTALL = :
62 host_alias = @host_alias@
63 host_triplet = @host@
64
65 EXEEXT = @EXEEXT@
66 OBJEXT = @OBJEXT@
67 PATH_SEPARATOR = @PATH_SEPARATOR@
68 AMTAR = @AMTAR@
69 AR = @AR@
70 AS = @AS@
71 AWK = @AWK@
72 CC = @CC@
73 CPP = @CPP@
74 CXX = @CXX@
75 CXXCPP = @CXXCPP@
76 DEPDIR = @DEPDIR@
77 DLLTOOL = @DLLTOOL@
78 ECHO = @ECHO@
79 EGREP = @EGREP@
80 F77 = @F77@
81 GCJ = @GCJ@
82 GCJFLAGS = @GCJFLAGS@
83 GELFINCLUDE = @GELFINCLUDE@
84 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
85 LIBGELF = @LIBGELF@
86 LIBTOOL = @LIBTOOL@
87 LN_S = @LN_S@
88 OBJDUMP = @OBJDUMP@
89 PACKAGE = @PACKAGE@
90 RANLIB = @RANLIB@
91 RC = @RC@
92 STRIP = @STRIP@
93 VERSION = @VERSION@
94 am__include = @am__include@
95 am__quote = @am__quote@
96 install_sh = @install_sh@
97
98 AUTOMAKE_OPTIONS = 1.4 gnu
99
100 DEFS = -D_GNU_SOURCE -DHAVE_CONFIG_H -Wall
101 AM_CFLAGS = -Wall
102
103 TESTS = movelibs.sh \
104         reloc1.sh reloc2.sh reloc3.sh reloc4.sh reloc5.sh reloc6.sh \
105         reloc7.sh reloc8.sh reloc9.sh reloc10.sh reloc11.sh \
106         shuffle1.sh shuffle2.sh shuffle3.sh shuffle4.sh shuffle5.sh \
107         shuffle6.sh shuffle7.sh shuffle8.sh shuffle9.sh undo1.sh \
108         layout1.sh layout2.sh \
109         tls1.sh tls2.sh tls3.sh tls4.sh tls5.sh tls6.sh tls7.sh \
110         cxx1.sh cxx2.sh quick1.sh quick2.sh quick3.sh cycle1.sh cycle2.sh \
111         deps1.sh deps2.sh \
112         ifunc1.sh ifunc2.sh ifunc3.sh \
113         undosyslibs.sh
114
115 TESTS_ENVIRONMENT = \
116         PRELINK="../src/prelink -c ./prelink.conf -C ./prelink.cache --ld-library-path=. --dynamic-linker=`echo ./ld*.so.*[0-9]`" \
117         CC="$(CC) $(LINKOPTS)" CCLINK="$(CC) -Wl,--dynamic-linker=`echo ./ld*.so.*[0-9]`" \
118         CXX="$(CXX) $(LINKOPTS)" CXXLINK="$(CXX) -Wl,--dynamic-linker=`echo ./ld*.so.*[0-9]`" \
119         $(SHELL)
120
121
122 extra_DIST = $(TESTS) functions.sh
123
124 CLEANFILES = *.so *.so.* *.nop syslib.list syslnk.list prelink.cache prelink.conf \
125         $(TESTS:%.sh=%) $(TESTS:%.sh=%.log) $(TESTS:%.sh=%.lds) \
126         *.orig *.new core* *.\#prelink\#* tlstest *.first *.second
127
128 subdir = testsuite
129 mkinstalldirs = $(SHELL) $(top_srcdir)/mkinstalldirs
130 CONFIG_HEADER = $(top_builddir)/config.h
131 CONFIG_CLEAN_FILES =
132 DIST_SOURCES =
133 DIST_COMMON = Makefile.am Makefile.in
134 all: all-am
135
136 .SUFFIXES:
137 $(srcdir)/Makefile.in:  Makefile.am  $(top_srcdir)/configure.in $(ACLOCAL_M4)
138         cd $(top_srcdir) && \
139           $(AUTOMAKE) --gnu  testsuite/Makefile
140 Makefile:  $(srcdir)/Makefile.in  $(top_builddir)/config.status
141         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)
142
143 mostlyclean-libtool:
144         -rm -f *.lo
145
146 clean-libtool:
147         -rm -rf .libs _libs
148
149 distclean-libtool:
150         -rm -f libtool
151 uninstall-info-am:
152 tags: TAGS
153 TAGS:
154
155
156 check-TESTS: $(TESTS)
157         @failed=0; all=0; xfail=0; xpass=0; \
158         srcdir=$(srcdir); export srcdir; \
159         list='$(TESTS)'; \
160         if test -n "$$list"; then \
161           for tst in $$list; do \
162             if test -f ./$$tst; then dir=./; \
163             elif test -f $$tst; then dir=; \
164             else dir="$(srcdir)/"; fi; \
165             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
166               all=`expr $$all + 1`; \
167               case " $(XFAIL_TESTS) " in \
168               *" $$tst "*) \
169                 xpass=`expr $$xpass + 1`; \
170                 failed=`expr $$failed + 1`; \
171                 echo "XPASS: $$tst"; \
172               ;; \
173               *) \
174                 echo "PASS: $$tst"; \
175               ;; \
176               esac; \
177             elif test $$? -ne 77; then \
178               all=`expr $$all + 1`; \
179               case " $(XFAIL_TESTS) " in \
180               *" $$tst "*) \
181                 xfail=`expr $$xfail + 1`; \
182                 echo "XFAIL: $$tst"; \
183               ;; \
184               *) \
185                 failed=`expr $$failed + 1`; \
186                 echo "FAIL: $$tst"; \
187               ;; \
188               esac; \
189             fi; \
190           done; \
191           if test "$$failed" -eq 0; then \
192             if test "$$xfail" -eq 0; then \
193               banner="All $$all tests passed"; \
194             else \
195               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
196             fi; \
197           else \
198             if test "$$xpass" -eq 0; then \
199               banner="$$failed of $$all tests failed"; \
200             else \
201               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
202             fi; \
203           fi; \
204           dashes=`echo "$$banner" | sed s/./=/g`; \
205           echo "$$dashes"; \
206           echo "$$banner"; \
207           echo "$$dashes"; \
208           test "$$failed" -eq 0; \
209         else :; fi
210 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
211
212 top_distdir = ..
213 distdir = $(top_distdir)/$(PACKAGE)-$(VERSION)
214
215 distdir: $(DISTFILES)
216         @list='$(DISTFILES)'; for file in $$list; do \
217           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
218           dir=`echo "$$file" | sed -e 's,/[^/]*$$,,'`; \
219           if test "$$dir" != "$$file" && test "$$dir" != "."; then \
220             dir="/$$dir"; \
221             $(mkinstalldirs) "$(distdir)$$dir"; \
222           else \
223             dir=''; \
224           fi; \
225           if test -d $$d/$$file; then \
226             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
227               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
228             fi; \
229             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
230           else \
231             test -f $(distdir)/$$file \
232             || cp -p $$d/$$file $(distdir)/$$file \
233             || exit 1; \
234           fi; \
235         done
236 check-am: all-am
237         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
238 check: check-am
239 all-am: Makefile
240
241 installdirs:
242
243 install: install-am
244 install-exec: install-exec-am
245 install-data: install-data-am
246 uninstall: uninstall-am
247
248 install-am: all-am
249         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
250
251 installcheck: installcheck-am
252 install-strip:
253         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
254           INSTALL_STRIP_FLAG=-s \
255           `test -z '$(STRIP)' || \
256             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
257 mostlyclean-generic:
258
259 clean-generic:
260         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
261
262 distclean-generic:
263         -rm -f Makefile $(CONFIG_CLEAN_FILES)
264
265 maintainer-clean-generic:
266         @echo "This command is intended for maintainers to use"
267         @echo "it deletes files that may require special tools to rebuild."
268 clean: clean-am
269
270 clean-am: clean-generic clean-libtool mostlyclean-am
271
272 distclean: distclean-am
273
274 distclean-am: clean-am distclean-generic distclean-libtool
275
276 dvi: dvi-am
277
278 dvi-am:
279
280 info: info-am
281
282 info-am:
283
284 install-data-am:
285
286 install-exec-am:
287
288 install-info: install-info-am
289
290 install-man:
291
292 installcheck-am:
293
294 maintainer-clean: maintainer-clean-am
295
296 maintainer-clean-am: distclean-am maintainer-clean-generic
297
298 mostlyclean: mostlyclean-am
299
300 mostlyclean-am: mostlyclean-generic mostlyclean-libtool
301
302 uninstall-am: uninstall-info-am
303
304 .PHONY: all all-am check check-TESTS check-am clean clean-generic \
305         clean-libtool distclean distclean-generic distclean-libtool \
306         distdir dvi dvi-am info info-am install install-am install-data \
307         install-data-am install-exec install-exec-am install-info \
308         install-info-am install-man install-strip installcheck \
309         installcheck-am installdirs maintainer-clean \
310         maintainer-clean-generic mostlyclean mostlyclean-generic \
311         mostlyclean-libtool uninstall uninstall-am uninstall-info-am
312
313
314 clean-am: clean-dirs
315
316 clean-dirs:
317         rm -rf *.tree
318
319 .NOTPARALLEL:
320
321 check-cycle:
322         @optlist=.; \
323         if [ "`uname -m | sed s/i.86/i.86/`" = i.86 ]; then \
324           optlist="--no-exec-shield --exec-shield"; \
325         fi; \
326         for opts2 in $$optlist; do \
327           for opts in -v -vm -vR -vmR; do \
328             PRELINK_OPTS="$$opts"; \
329             [ $$opts2 != . ] && PRELINK_OPTS="$$opts $$opts2"; \
330             echo "Checking with $$PRELINK_OPTS"; \
331             PRELINK_OPTS="$$PRELINK_OPTS" $(MAKE) $(AM_MAKEFLAGS) check || exit; \
332             $(MAKE) $(AM_MAKEFLAGS) clean || exit; \
333           done; \
334         done; \
335         echo "Checking with -Wl,-z,nocombreloc"; \
336         LINKOPTS=-Wl,-z,nocombreloc $(MAKE) $(AM_MAKEFLAGS) check || exit; \
337         $(MAKE) $(AM_MAKEFLAGS) clean || exit
338
339 check-harder:
340         @CHECK_ME_HARDER=1 $(MAKE) $(AM_MAKEFLAGS) check || exit
341 # Tell versions [3.59,3.63) of GNU make to not export all variables.
342 # Otherwise a system limit (for SysV at least) may be exceeded.
343 .NOEXPORT: